import {service} from '../utils/requestUrl';
const jcz = "/jcz"
const jczApi= '/jczApi'
const uodateApi = '/appResource'

// 更新数据
export function updateDate(params) {
    return service({
        url:uodateApi +"/namespace/app",
        method: "GET",
        params
    });
};

// 新增数据 
export function qwbbAdd(data) {
    return service({
        url:jczApi +"/qwbb/add",
        method: "POST",
        data
    });
};

// 获取装备列表
export function getZBList(params) {
    return service({
        url:jczApi+"/scSysDictionaryEntry/queryDictById",
        method: "GET",
        params
    });
};
// 设备信息
export function getSBList(params) {
    return service({
        url:jczApi+"/scDevicesInfo/getScDevicesByType",
        method: "GET",
        params
    });
};

// 获取检查站列表
export function getJczList(data) {
    return service({
        url: jcz + "/scPointInfo/checkpointList",
        method: "GET",
        params: data
    });
};
export function getyjzlCount(data) {
    return service({
        url:jcz + "/lzAlarm/queryWarnStatusType",
        method: "GET",
        params: data
    });
};
export function getyjzlList(data) {
    return service({
        url:jcz + "/lzAlarm/queryWarnPage",
        method: "GET",
        params: data
    });
};

// 更新数据
export function updateDetail(data) {
    return service({
        url:jcz +"/lzAlarm/updateStatusById",
        method: "POST",
        data
    });
};


// 根据查看详情
export function getyjzlInfoDetail(data) {
    return service({
        url:jcz +"zhjmxfYjzlZlzt/queryByZlId?zlId="+data,
        method: "POST",
    });
};